## python-keystoneclient 0.3.2

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
iso8601>=0.1.4
PrettyTable>=0.6,<0.8
requests>=1.1
simplejson>=2.0.9
six
oslo.config>=1.1.0
netaddr

## python-keystoneclient 0~dev20111128

=== debian/changelog ===
python-keystoneclient (0~dev20111128-1) unstable; urgency=low

  * Initial release (Closes: #650018)

 -- Julien Danjou <acid@debian.org>  Mon, 28 Nov 2011 16:35:09 +0100

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools, python-httplib2, python-argparse, python-prettytable
Standards-Version: 3.9.2
Homepage: https://github.com/4P/python-keystoneclient
Vcs-Git: git://git.debian.org/openstack/python-keystoneclient.git
Vcs-Browser: http://git.debian.org/?p=openstack/python-keystoneclient.git;a=summary

Package: python-keystoneclient
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: client library for the OpenStack Keystone API
 This is a client for the OpenStack Keystone API. Installing this package
 gets you a shell command, that you can use to interact with Keystone's API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/python_keystoneclient.egg-info

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-keystoneclient/usr/bin

## python-keystoneclient 0.1.1

=== debian/changelog ===
python-keystoneclient (1:0.1.1-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release.
  * debian/watch: Update 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:58:28 -0400

python-keystoneclient (2012.2~f2~20120621.121-0ubuntu) quantal; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 12:58:18 -0400

python-keystoneclient (2012.2~f1-0ubuntu1) quantal; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 14:16:00 -0400

python-keystoneclient (2012.1-0ubuntu1) precise; urgency=low

  * New usptream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 10:32:47 -0400

python-keystoneclient (2012.1~rc2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Apr 2012 09:05:33 -0400

python-keystoneclient (2012.1~rc1-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 26 Mar 2012 14:01:05 -0400

python-keystoneclient (2012.1~rc1~20120310.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/watch: Add watch file 

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 11:43:56 -0700

python-keystoneclient (2012.1~rc1~20120307.0-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Mar 2012 12:43:10 -0500

python-keystoneclient (2012.1~e4-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/disbale-argparse.patch: Dropped.
  * debian/control: dont conflict on keystone.  (LP: #934064)
  * debian/control: Drop python-argparse as a build depends.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 10:31:44 -0500

python-keystoneclient (2012.1~e4~20120203.0-0ubuntu1) precise; urgency=low

  * New upstream version 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2012 10:39:08 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu7) precise; urgency=low

  * Really fix testsuite. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2012 09:38:21 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu6) precise; urgency=low

  * Fix FTBFS again. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2012 09:27:28 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu5) precise; urgency=low

  * Add packaging copyright to debian/copyright. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2012 11:25:54 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu4) precise; urgency=low

  * debian/copyright: Update copyright 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2012 10:56:29 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu3) precise; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2012 19:58:21 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu2) precise; urgency=low

  * debian/control: Conflicts with keystone. (LP: #916773)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2012 09:51:39 -0500

python-keystoneclient (2012.1~e4~20120127.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/rules, debian/watch: Update to fetch tarballs.
  * debian/patches/disable-argparse.patch: Updated diff.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2012 13:11:01 -0500

python-keystoneclient (2.7+git20120105-0ubuntu3) precise; urgency=low

  * debian/patches/disable-argparse.patch: Updated patch

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Jan 2012 04:49:39 -0500

python-keystoneclient (2.7+git20120105-0ubuntu2) precise; urgency=low

  * debian/patches/disable-argparse.patch: Disable argparse, fixes FTBFS. 
  * debian/control: 
    + Change architecture to all.
    + Drop python-argparse.
  * debian/pydist-overrides: Dont try to install python-argparse.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Jan 2012 04:23:59 -0500

python-keystoneclient (2.7+git20120105-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Make it installable again, due to argparse.
  * debian/rules: Update git repo url.
  * Add python-simplejson as a build dependency.
  * Run the testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Jan 2012 08:38:10 -0500

python-keystoneclient (2.7+git20111129-0ubuntu1) precise; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 Nov 2011 16:01:00 -0500

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-httplib2, python-setuptools, 
 python-all (>= 2.6.6-3~), python-nose, python-prettytable, python-nose, python-mox, python-mock, python-simplejson
Standards-Version: 3.9.2

Package: python-keystoneclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-httplib2
Description: Client libary for Openstack Keystone API
 This is a client for the OpenStack Keystone API. There's a Python API 
 (the ``keystoneclient`` module), and a command-line script (``keystone``).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	bash run_test.sh -N || true
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
http://tarballs.openstack.org/python-keystoneclient/ python-keystoneclient-(.*).tar.gz

## python-keystoneclient 0.1.3

=== debian/changelog ===
python-keystoneclient (1:0.1.3-0ubuntu1) quantal; urgency=low

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 13:13:18 -0500

python-keystoneclient (1:0.1.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/watch: Updated.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 12:34:22 -0500

python-keystoneclient (1:0.1.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/watch: Update 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:58:28 -0400

## python-keystoneclient 0.2.2

=== debian/changelog ===
python-keystoneclient (1:0.2.2-0ubuntu2) raring; urgency=low

  * debian/patches/fix-requests-requirements.patch: Bump python-requests
    to 1.1.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Feb 2013 12:32:43 -0600

python-keystoneclient (1:0.2.2-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Jan 2013 07:44:54 -0600

python-keystoneclient (1:0.2.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control: Add python-pkg-resources. (LP: #1071032)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 29 Nov 2012 12:46:21 -0600

python-keystoneclient (1:0.1.3.37-0ubuntu1) raring-proposed; urgency=low

  [ Adam Gandelman ]
  * New upstream release.

  [ Adrien Cunin ]
  * Typo and cosmetic fixes to package description (LP: #960350)

 -- Adam Gandelman <adamg@canonical.com>  Wed, 31 Oct 2012 09:17:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-keystoneclient
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-httplib2
-Description: Client libary for Openstack Keystone API
- This is a client for the OpenStack Keystone API. There's a Python API 
+Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources, python-requests, python-iso8601
+Description: Client library for OpenStack Identity API
+ This is a client for the OpenStack Identity API. There's a Python API 
  (the ``keystoneclient`` module), and a command-line script (``keystone``).

## python-keystoneclient 0.2.3

=== debian/changelog ===
python-keystoneclient (1:0.2.3-0ubuntu2) raring; urgency=low

  [ Adam Gandelman ]
  * debian/control: Set python-requests min. version >= 1.1.0. (LP: #1170828)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 22 Apr 2013 07:50:36 -0500

python-keystoneclient (1:0.2.3-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: Run tests unconditionally.
  * debian/control: 
     - Bump standards to 3.9.4.
     - Add python-requests, python-iso8601, python-fixtures, python-coverage,
       python-crypto, python-keyring, python-oslo.config, python-webob, 
       and python-testtools to build-depends.

  [ Adam Gandelman ]
  * debian/patches/fix-requests-requirements.patch: Dropped.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 19 Mar 2013 08:19:43 -0500

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-coverage,
 python-crypto,
 python-fixtures,
 python-httplib2,
 python-keyring,
 python-iso8601,
 python-oslo.config,
 python-mock,
 python-mox,
 python-nose,
 python-prettytable,
 python-requests (>= 1.1.0),
 python-setuptools,
 python-simplejson,
 python-testtools,
 python-webob,
Standards-Version: 3.9.4

Package: python-keystoneclient
Architecture: all
Depends: python-iso8601,
 python-pkg-resources,
 python-requests (>= 1.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: Client library for OpenStack Identity API
 This is a client for the OpenStack Identity API. There's a Python API
 (the ``keystoneclient`` module), and a command-line script (``keystone``).

## python-keystoneclient 0.3.2

=== debian/changelog ===
python-keystoneclient (1:0.3.2-0ubuntu1~cloud0) precise-havana; urgency=low

  * New upstream release for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Sep 2013 09:27:42 -0400

python-keystoneclient (1:0.3.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: Add python-netaddr as a build dependency. 
  * debian/patches/skip-tests-ubuntu.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 13:51:49 -0400

python-keystoneclient (1:0.3.1-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/skip-tests-ubuntu.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Jul 2013 14:09:44 -0500

python-keystoneclient (1:0.3.0-0ubuntu1) saucy; urgency=low

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Add python-pbr and python-simplejson
  * debian/control: Add python-babel.
  * debian/patches/skip-tests-ubuntu.patch: Skip tests that fail in the buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Jul 2013 07:52:18 -0500

python-keystoneclient (1:0.2.4-0ubuntu1) saucy; urgency=low

  * New upstream release. 
  * debian/control: Add python-d2to1 and python-pbr
  * debian/control: Add testrepository, dropped python-nose
  * debian/control: Add python-six

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 29 May 2013 13:07:56 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,11 @@
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0),
  python-all (>= 2.6.6-3~),
+ python-babel,
  python-coverage,
  python-crypto,
+ python-d2to1,
+ python-pbr,
  python-fixtures,
  python-httplib2,
  python-keyring,
@@ -13,14 +16,20 @@
  python-oslo.config,
  python-mock,
  python-mox,
- python-nose,
+ python-netaddr,
+ python-pbr,
  python-prettytable,
  python-requests (>= 1.1.0),
  python-setuptools,
  python-simplejson,
+ python-six,
  python-testtools,
  python-webob,
+ testrepository
 Standards-Version: 3.9.4
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-keystoneclient/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-keystoneclient/havana
+XS-Testsuite: autopkgtest
 
 Package: python-keystoneclient
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	bash run_test.sh -N || true
+	bash run_tests.sh -N -P
 endif
 
 get-orig-source:

## python-keystoneclient 0.7.1

=== requirements.txt ===
argparse
Babel>=1.3
iso8601>=0.1.8
netaddr>=0.7.6
oslo.config>=1.2.0
pbr>=0.6,<1.0
PrettyTable>=0.7,<0.8
requests>=1.1
six>=1.5.2

=== debian/changelog ===
python-keystoneclient (1:0.7.1-ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: incorrect cert verification with ssl_insecure option
    - debian/patches/CVE-2014-7144.patch: properly parse option in
      keystoneclient/middleware/auth_token.py.
    - CVE-2014-7144
  * SECURITY UPDATE: incorrect cert verification with ssl_insecure option
    - debian/patches/CVE-2015-1852.patch: properly parse option in
      keystoneclient/middleware/s3_token.py, added test to
      keystoneclient/tests/test_s3_token_middleware.py.
    - CVE-2015-1852
  * Properly run test suite during build:
    - debian/control: added python-testresources to Build-Depends
    - debian/rules: call testr directly

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Jul 2015 15:05:21 -0400

python-keystoneclient (1:0.7.1-ubuntu1) trusty; urgency=medium

  * New upstream release. (LP: #1298453)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Mar 2014 12:08:28 -0400

python-keystoneclient (1:0.6.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Feb 2014 09:46:33 -0500

python-keystoneclient (1:0.4.2-0ubuntu1) trusty; urgency=low

  [ James Page ]
  * d/p/*: Refreshed.

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/debian/patches/use-mox-dependency.patch: Dropped no
    longer needed.
  * debian/control: Depend on python-mox3 and python-httpretty.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 10:43:49 -0500

python-keystoneclient (1:0.4.1-0ubuntu1) trusty; urgency=low

  [ Adam Gandelman ]
  * debian/patches: Refreshed.
  * debian/patches/use-mox-dependency.patch: Use mox instead of mox3
    dependency.

  [ Chuck Short ]
  * New upstream release.
  * debian/control:
    - open icehouse release.
    - Dropped python-d2to1 and python-httplib2 dependency.
  * debian/patches/skip-tests-ubuntu.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Nov 2013 10:51:32 -0500

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,27 @@
  python-babel,
  python-coverage,
  python-crypto,
- python-d2to1,
  python-pbr,
  python-fixtures,
- python-httplib2,
  python-keyring,
+ python-httpretty,
  python-iso8601,
  python-oslo.config,
  python-mock,
- python-mox,
+ python-mox3,
  python-netaddr,
- python-pbr,
  python-prettytable,
  python-requests (>= 1.1.0),
  python-setuptools,
  python-simplejson,
  python-six,
+ python-testresources,
  python-testtools,
  python-webob,
  testrepository
 Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-keystoneclient/havana/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-keystoneclient/havana
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-keystoneclient/icehouse/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-keystoneclient/icehouse
 XS-Testsuite: autopkgtest
 
 Package: python-keystoneclient

=== debian/tests/control ===
Tests: client
Depends: python-keystoneclient

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-keystoneclient/+download https://launchpad.net/python-keystoneclient/.*/.*/.*/python-keystoneclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-keystoneclient/ python-keystoneclient-(\d.*).tar.gz

## python-keystoneclient 0.10.1

=== requirements.txt ===
argparse
Babel>=1.3
iso8601>=0.1.9
lxml>=2.3
netaddr>=0.7.6
oslo.config>=1.2.1
pbr>=0.6,!=0.7,<1.0
PrettyTable>=0.7,<0.8
requests>=1.1
six>=1.7.0
stevedore>=0.14

=== debian/changelog ===
python-keystoneclient (1:0.10.1-2+deb8u1) jessie-proposed-updates; urgency=high

  * CVE-2015-1852: S3token incorrect condition expression for ssl_insecure.
    Applied upstream patch: Fix s3_token middleware parsing insecure option.
    (Closes: #783164)
  * Added python-oslo.utils (build-)depends introduce by this patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2015 10:18:50 +0200

python-keystoneclient (1:0.10.1-2) unstable; urgency=high

  * Uploading to unstable.
  * Added CVE-2014-7144_Fix_the_condition_expression_for_ssl_insecure.patch,
    (Closes: #762749).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 20:30:57 +0800

python-keystoneclient (1:0.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before the freeze.
  * Bumped required version of python-six.
  * Added patch for double call of TestCase.setUp(self), which was breaking all
    the saml2 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 23:47:40 +0800

python-keystoneclient (1:0.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #751063).
  * New (build-)dependencies for this release.
  * Removed CVE_2014_0105_add_pooling_for_cache_references.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jun 2014 02:43:50 +0000

python-keystoneclient (1:0.7.1-1) unstable; urgency=high

  * New upstream release.
  * Uploading to unstable.
  * Removed lots of now useless build-dependencies, updated (build-)depends for
    this new upstream release.
  * Note: this new upstream release fixes CVE-2014-0105: Potential context
    confusion in Keystone middleware.
  * Refresh no-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2014 15:45:40 +0800

python-keystoneclient (1:0.6.0-3) experimental; urgency=low

  * Added python-memcache *and* memcached as build-dependency. In deed, if
    python-memcache is installed, but not memcached, unit tests would fail.
  * Fails the build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 13:39:37 +0800

python-keystoneclient (1:0.6.0-2) experimental; urgency=low

  * Added packaging of upstream man page and sphinxdoc.
  * Added missing build-depends: subunit.
  * Using python setup.py testr directly without using run_test.sh.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2014 00:31:24 +0800

python-keystoneclient (1:0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental due to suspect unit test failures.
  * Build-depends on python-httpretty (>= 0.8.0) instead of 0.7.1.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Mar 2014 22:11:45 +0800

python-keystoneclient (1:0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this new version.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Feb 2014 14:59:41 +0800

python-keystoneclient (1:0.4.1-2) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Nov 2013 00:44:42 +0800

python-keystoneclient (1:0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Added missing (build-)depends: python-iso8601, and many others for this new
    release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:26:43 +0800

python-keystoneclient (1:0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Removed patches (applied upstream).
  * Lots of new (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 22:01:20 +0800

python-keystoneclient (1:0.2.5-2) unstable; urgency=low

  * Add Fix-memcache-encryption-middleware.patch (Closes: #713819)
    [OSSA 2013-017] Keystone middleware memcache signing/encryption feature
    (CVE-2013-2166 and CVE-2013-2167)

 -- Prach Pongpanich <prachpub@gmail.com>  Sun, 23 Jun 2013 11:54:52 +0700

python-keystoneclient (1:0.2.5-1) unstable; urgency=low

  * New upstream release (Closes: #709535).
  * Ran wrap-and-sort.
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * Added build-depends: python-pbr.
  * Bumped Standard-Version: to 3.9.4.
  * Using cannonical URLs for the VCS fields.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 14:06:05 +0800

python-keystoneclient (1:0.2.3-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 09:03:20 +0000

python-keystoneclient (1:0.2.3-1) experimental; urgency=low

  [ Mehdi Abaakouk ]
  * New upstream version
  * Removed prettytable patch (incorporated upstream)
  * Change epoch to match the new upstream version convention

  [ Thomas Goirand ]
  * Switched to openstack-pkg-tools include of pkgos.make in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Nov 2012 06:15:45 +0000

python-keystoneclient (2012.1-3) unstable; urgency=low

  [Ghe Rivero]
  * Added watch file
  * Added run_tests to rules.
  * Fixed control depends. (some cleanup)

  [ Mehdi Abaakouk]
  * Add missing dependency "python-pkg-resources". Closes: #672910

 -- Ghe Rivero <ghe.rivero@stackops.com>  Wed, 06 Jun 2012 17:08:06 +0200

python-keystoneclient (2012.1-2) unstable; urgency=low

  * Fixed new prettytable api.

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 07 May 2012 10:10:08 +0200

python-keystoneclient (2012.1-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Mon, 09 Apr 2012 09:10:06 +0200

python-keystoneclient (2012.1~rc2-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Wed, 04 Apr 2012 10:51:40 +0200

python-keystoneclient (2012.1~rc1-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Sat, 24 Mar 2012 09:17:47 +0100

python-keystoneclient (2012.1~e4-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Fri, 02 Mar 2012 09:05:06 +0100



=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.8),
               python-setuptools
Build-Depends-Indep: memcached,
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-crypto,
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-httpretty (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-keyring (>= 2.1),
                     python-lxml,
                     python-memcache,
                     python-mock (>= 1.0),
                     python-mox3,
                     python-netaddr,
                     python-oauthlib (>= 0.6),
                     python-oslo.config (>= 1:1.2.1),
                     python-oslo.utils,
                     python-prettytable (>= 0.7),
                     python-requests (>= 1.1),
                     python-pysaml2,
                     python-stevedore (>= 0.14),
                     python-six (>= 1.7.0),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: git://anonscm.debian.org/openstack/python-keystoneclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-keystoneclient.git;a=summary

Package: python-keystoneclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-keyring,
         python-lxml,
         python-netaddr,
         python-oslo.config (>= 1:1.2.1),
         python-oslo.utils,
         python-pbr (>= 0.8),
         python-pkg-resources,
         python-prettytable (>= 0.7),
         python-requests (>= 1.1),
         python-pysaml2,
         python-stevedore (>= 0.14),
         python-simplejson (>= 2.0.9),
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: client library for the OpenStack Keystone API
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && \
		TEMP_REZ=`mktemp -t` ; \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
#	bash run_tests.sh -N || true
endif

override_dh_auto_configure:
	echo $(VERSION) > keystoneclient/versioninfo
	dh_auto_configure

override_dh_clean:
	echo $(VERSION) > keystoneclient/versioninfo
	dh_clean
	rm -f keystoneclient/versioninfo

override_dh_auto_clean:
	rm -rf python_keystoneclient.egg-info build doc/man .testrepository

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 tools/keystone.bash_completion $(CURDIR)/debian/python-keystoneclient/etc/bash_completion.d/keystone.bash_completion
	rm -rf $(CURDIR)/debian/python-keystoneclient/usr/keystoneclient

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-keystoneclient/usr/share/doc/python-keystoneclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif


override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source/ doc/man
	dh_installman -O--buildsystem=python_distutils
endif

## python-keystoneclient 1.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0

argparse
Babel>=1.3
iso8601>=0.1.9
netaddr>=0.7.12
oslo.config>=1.6.0  # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
PrettyTable>=0.7,<0.8
requests>=2.2.0,!=2.4.0
six>=1.9.0
stevedore>=1.1.0  # Apache-2.0

=== debian/changelog ===
python-keystoneclient (1:1.2.0-0ubuntu1.2~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 09 Sep 2015 06:55:36 +0000

python-keystoneclient (1:1.2.0-0ubuntu1.2) vivid; urgency=medium

  * debian/patches/fix-1368545.patch: Changing the value type of
    http_connect_timeout to IntOpt. (LP: #1368545)

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 07 Aug 2015 11:53:37 -0300

python-keystoneclient (1:1.2.0-0ubuntu1.1) vivid-security; urgency=medium

  * SECURITY UPDATE: incorrect cert verification with ssl_insecure option
    - debian/patches/CVE-2015-1852.patch: properly parse option in
      keystoneclient/middleware/s3_token.py, added test to
      keystoneclient/tests/unit/test_s3_token_middleware.py.
    - CVE-2015-1852

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 16 Jul 2015 14:44:43 -0400

python-keystoneclient (1:1.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/control: Adjust dependencies

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Mar 2015 09:03:22 -0500

python-keystoneclient (1:1.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/control: Add dh-python to build depedency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Feb 2015 11:45:38 -0500

python-keystoneclient (1:0.11.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Open up for vivid.
  * debian/control: 
    - Update bzr branches 
    - Dropped python-httpretty depdendency.
    - Add python-oslo.serialization depdendency.
    - Cleaned up run time dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 10 Nov 2014 10:53:04 -0500

python-keystoneclient (1:0.10.1-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 07 Sep 2014 09:17:40 -0400

python-keystoneclient (1:0.10.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 11:35:43 -0400

python-keystoneclient (1:0.9.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2014 09:00:57 -0400

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 dh-python,
 python-babel,
 python-coverage,
 python-crypto,
 python-pbr,
 python-fixtures,
 python-keyring,
 python-lxml,
 python-oauthlib,
 python-oslotest (>= 1.2.0),
 python-iso8601 (>= 0.1.9),
 python-hacking (>= 0.10.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-config (>= 1.9.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils( >= 1.2.0),
 python-mock,
 python-mox3,
 python-stevedore (>= 1.1.0),
 python-netaddr (>= 0.7.12),
 python-prettytable (>= 0.7),
 python-requests (>= 1.1.0),
 python-requests-mock,
 python-setuptools,
 python-simplejson,
 python-six (>= 1.9.0),
 python-tempest-lib,
 python-testtools,
 python-testresources,
 python-webob,
 testrepository
Standards-Version: 3.9.6
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-keystoneclient/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-keystoneclient/kilo
XS-Testsuite: autopkgtest

Package: python-keystoneclient
Architecture: all
Depends: python-iso8601 (>= 0.1.9),
 python-babel (>= 1.3),
 python-netaddr (>= 0.7.12),
 python-oslo-config (>= 1.9.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-prettytable (>= 0.7),
 python-requests (>= 2.2.0),
 python-six (>= 1.9.0),
 python-stevedore (>= 1.1.0),
 ${misc:Depends},
 ${python:Depends}
Description: Client library for OpenStack Identity API
 This is a client for the OpenStack Identity API. There's a Python API
 (the ``keystoneclient`` module), and a command-line script (``keystone``).

## python-keystoneclient 1.7.1

=== debian/changelog ===
python-keystoneclient (1:1.7.1-1ubuntu3~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 Oct 2015 22:58:34 +0000

python-keystoneclient (1:1.7.1-1ubuntu3) wily; urgency=medium

  * d/p/ordered-dict-copy.patch: Iterate over copy of session.adapters
    keys in Python2/3.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 12:33:59 -0400

python-keystoneclient (1:1.7.1-1ubuntu2) wily; urgency=medium

  * d/control: Drop python(3)-bandit and bandit as they're not needed
    to run unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Oct 2015 08:02:08 -0400

python-keystoneclient (1:1.7.1-1ubuntu1) wily; urgency=medium

  * d/control: Drop python(3)-pysaml2 as it's not needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Oct 2015 12:09:10 -0400

python-keystoneclient (1:1.7.1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-dictionary-iteration-python3-test.patch: Dropped. Fixed upstream.
  * d/p/fix-assertRaisesRegex-python3-tests.patch: Dropped. Fixed release.
  * d/p/fix-key-iteration.patch: Dropped. Fixed upstream.
  * d/p/oauth-use-actual-request-headers.patch: Dropped. Fixed upstream.
  * d/control: Add python3-crypto, python3-coverage, python3-hacking to BD's.
  * d/p/fix-test-deprecations.patch: Fix tests to handle deprecations.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 10:06:55 -0400

python-keystoneclient (1:1.6.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/fix-key-iteration.patch: Iterate over copy of session.adapters keys.
  * d/p/fix-1368545.patch: Change http_connect_timeout to IntOpt. (LP: #1368545)
  * d/p/oauth-use-actual-request-headers.patch: Make OAuth testcase use actual
    request headers.

  [ Thomas Goirand ]
  * Build-depends on python-memcache (>= 1.56) and pysaml2 (>= 3.0.0).

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Sep 2015 22:01:47 +0000

python-keystoneclient (1:1.6.0-1) experimental; urgency=medium

  * New upstream release.
    - d/control: Align requirements with upstream.
    - d/gbp.conf: Update gbp configuration for liberty branch.
  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.
  * Deal with Python 3.x test issues:
    - d/rules: Only run Python 2.7 and Python 3.4 tests.
    - d/p/fix-assertRaisesRegex-python3-tests.patch: Use python-six shim.
    - d/p/fix-dictionary-iteration-python3-test.patch: Enable dict iteration.
    - d/p/skip-memcache-python3-test.patch: Work around memcache check.
    - d/p/skip-pep8-python3-test.patch: Skip PEP8 test for Python 3.x.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.
  * Adds the python3- and the -doc packages.
  * Moved the keystone-completion to usr/share/bash-completion/completions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2015 13:28:32 -0400

python-keystoneclient (1:1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed now useless no-intersphinx patch.
  * Back list a few unit tests which are failing:
    - v2AuthTokenMiddlewareTest.test_memcache_set_expired
    - v2AuthTokenMiddlewareTest.test_swift_memcache_set_expired
    - v3AuthTokenMiddlewareTest.test_memcache_set_expired
    - v3AuthTokenMiddlewareTest.test_swift_memcache_set_expired
  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 18:35:45 +0100

python-keystoneclient (1:0.11.1-1) experimental; urgency=medium

  * New upstream release:
    - This fixes CVE-2014-7144 (Closes: #762749).
  * Updated (build-)depends for this release.
  * Refreshed no-intersphinx.patch.
  * Removed do-not-call-TestCase.setUp-twice.patch, not needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 14:51:59 +0000

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.6),
               python-sphinx,
Build-Depends-Indep: memcached,
                     python-babel,
                     python-coverage,
                     python-crypto,
                     python-debtcollector,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keyring,
                     python-lxml,
                     python-memcache (>= 1.56),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-netaddr (>= 0.7.12),
                     python-oauthlib,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-tempest-lib (>= 0.6.1),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python3-babel,
                     python3-crypto,
                     python3-coverage,
                     python3-debtcollector,
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601,
                     python3-hacking (>= 0.10.0),
                     python3-keyring,
                     python3-lxml,
                     python3-memcache (>= 1.56),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-netaddr (>= 0.7.12),
                     python3-oauthlib,
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pep8,
                     python3-prettytable,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-tempest-lib (>= 0.6.1),
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: git://anonscm.debian.org/openstack/python-keystoneclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-keystoneclient.git;a=summary
XS-Testsuite: autopkgtest

Package: python-keystoneclient
Architecture: all
Depends: python-babel,
         python-debtcollector,
         python-iso8601,
         python-keyring,
         python-netaddr (>= 0.7.12),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Description: client library for the OpenStack Keystone API - Python 2.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python-openstackclient" package.
 .
 This package contains the Python 2.x module.

Package: python3-keystoneclient
Architecture: all
Depends: python3-babel,
         python3-debtcollector,
         python3-iso8601,
         python3-keyring,
         python3-netaddr (>= 0.7.12),
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-prettytable,
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

Package: python-keystoneclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-keystoneclient ; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-keystoneclient ; \
	done
	mv $(CURDIR)/debian/python-keystoneclient/usr/bin/keystone $(CURDIR)/debian/python-keystoneclient/usr/bin/python2-keystone
	mv $(CURDIR)/debian/python3-keystoneclient/usr/bin/keystone $(CURDIR)/debian/python3-keystoneclient/usr/bin/python3-keystone
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

override_dh_auto_install:
	dh_auto_install
	install -D -m 0644 tools/keystone.bash_completion $(CURDIR)/debian/python-keystoneclient/usr/share/bash-completion/completions/keystone.bash_completion
	rm -rf $(CURDIR)/debian/python-keystoneclient/usr/keystoneclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean

override_dh_auto_clean:
	rm -rf doc/man .testrepository


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source/ doc/man
	dh_installman -O--buildsystem=python_distutils
endif
